Forum |  HardWare.fr | News | Articles | PC | S'identifier | S'inscrire | Shop Recherche
1005 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs

  debian woody : update hasardeuse de libc6

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

debian woody : update hasardeuse de libc6

n°182610
thewarden
Posté le 01-11-2002 à 13:39:12  profilanswer
 

j'ai voulu installer qq packages qui avaient besoin d'une version de libc6 plus recente que celle de la woody. J'ai donc eu la mauvaise idée de prendre le package libc6 de la 'testing' (j'ai du installer en même temps libdb1-compat).
 
mon pb c que dselect ne peut plus rien faire : dès que j'appuis sur entré, il me pose des pb avec les 2 packages cités (libc6 et libdb1-compat). Apt-get idem : je peux plus rien installer.
 
si je fait apt-get -f install il me propose de désinstaller pour au moins 102 mo de packages (en gros y veut tout virer : gcc,..).
 
j'ai pas réussi à downgrader ma libc6 pour remettre celle de la woody : il veut pas à cause que libdb1-compat dépend de la nouvelle libc6.
pas moyen de virer non plus libdb1-compat.
Et si je fais un truc du style apt-get remove libc6 libdb1-compat, j'ai peur qu'il me désinstalle tout. Ce que je voudrait c'est revenir comme avant (avec la libc6 de la woody).
 
Des idées ?

mood
Publicité
Posté le 01-11-2002 à 13:39:12  profilanswer
 

n°182612
Tux Le Pen​guin
Posté le 01-11-2002 à 13:45:59  profilanswer
 

ça c'est super malin  :heink:  
pourquoi t'es pas passé direct en testing plutot ? :??:

n°182618
thewarden
Posté le 01-11-2002 à 14:16:25  profilanswer
 

la testing c pas mal mais me faudrait une ligne adsl histoire de faire des updates régulièrement

n°182620
Jar Jar
Intaigriste
Posté le 01-11-2002 à 14:19:42  profilanswer
 

C'est très simple, la solution est décrite dans le glibc uninstall HOWTO :
http://fred.linux-site.net/uninsta [...] ibc-3.html


---------------
« No question is too silly to ask, but, of course, some are too silly to answer. » -- Perl book
n°182621
Tux Le Pen​guin
Posté le 01-11-2002 à 14:19:44  profilanswer
 

TheWarden a écrit a écrit :

la testing c pas mal mais me faudrait une ligne adsl histoire de faire des updates régulièrement




 
hmmm oui, linux par cd, c'est pas forcément évident ... surtout quand on essaie d'installer des logiciel plus recent..
et c'est quoi ces logiciel qui nécessite une libc6 plus recente et que tu n'as pas sur tes CD ?

n°182627
Humidifier
Posté le 01-11-2002 à 14:41:00  profilanswer
 

Récupère le paquet libc6 de ta woody (sur le CD) et installe le avec dpkg -i.
Si ça passe pas faut forcer un peu les choses.
 
Après tu installe deborphan pour virer les paquets orphelins.
 
Lorsque cela met arriver, je m'en suit sortie comme ça.

n°182759
thewarden
Posté le 01-11-2002 à 21:27:07  profilanswer
 

J'ai installé la nouvelle libc6 afin d'installer devhelp 4 (il me semble que c'était pour ça en tous cas)

n°182765
Jar Jar
Intaigriste
Posté le 01-11-2002 à 21:32:19  profilanswer
 

TheWarden a écrit a écrit :

J'ai installé la nouvelle libc6 afin d'installer devhelp 4 (il me semble que c'était pour ça en tous cas)


On n'installe surtout une nouvelle libc sans upgrader...
Il suffit de backporter...


---------------
« No question is too silly to ask, but, of course, some are too silly to answer. » -- Perl book
n°182781
Kernel_Pan​ic
Powered by Debian
Posté le 01-11-2002 à 22:19:37  profilanswer
 

ha tient ce topic tombe bien :)
 
Dites coment ça ce fait que j'arrive pas a fout la main sur des archive de Glibc_2.3 sur le net... je cherche si mal que ça?
 
 
(oui je veux du vieux 2.3 :)  )


---------------
debian powah :ange:
n°182920
thewarden
Posté le 02-11-2002 à 12:27:50  profilanswer
 

ça y est, j'ai résolu mon pb : j'ai forcé un dpkg --purge libdb1-compat1 puis un dpkg -i vieuxlibc.deb
 
maintenant tout est ok


Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs

  debian woody : update hasardeuse de libc6

 

Sujets relatifs
[Debian] dcclient + proxy[ DEBIAN ] problème de dépendance pendant un apt-get dist-upgrade
Pourquoi la Debian est-elle déconseillée aux newbies ?[debian] quelqu'un connait un bon virus scanner pour postfix ?
[woody] collections de problemes , ca continueGraver les CD de la Debian => Bizarre...
Est-il possible de faire tout ça (serv Mail + proxy) ?? (Debian ?)dirver mga + installation de directfb sur debian
debian +ac97 ?? probblème[question toute bete pour un newbie] Debian et rpm
Plus de sujets relatifs à : debian woody : update hasardeuse de libc6


Copyright © 1997-2022 Hardware.fr SARL (Signaler un contenu illicite / Données personnelles) / Groupe LDLC / Shop HFR